View Issue Details

IDProjectCategoryView StatusLast Update
0006536Talerwallet (TS core)public2020-09-02 09:53
Reportergrote Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006536: TransactionRefund: amountEffective amountRaw seem mixed up
DescriptionThe amountEffective of the refund is larger than the amountRaw which seems contradictory with the docs:

https://git.taler.net/docs.git/tree/taler-wallet.rst?id=12d6cab7efc156f0df4a037423d6ab0e318796bf#n415

Here's what I got from wallet-core:

{
      "type": "refund",
      "info": {
        "merchant": {
          "name": "PoS"
        },
        "orderId": "2020.237-03M1C11QEM5R4",
        "products": [
          {
            "description": "Salty Sticks",
            "quantity": 1,
            "price": "TESTKUDOS:0.8",
            "delivery_location": "cafeteria"
          },
          {
            "product_id": "631361562",
            "description": "Peanuts",
            "description_i18n": {
              "de_DE": "Erdn├╝sse",
              "pt_BR": "Amendoins"
            },
            "quantity": 1,
            "price": "TESTKUDOS:0.8",
            "delivery_location": "cafeteria"
          }
        ],
        "summary": "2 x Snacks",
        "contractTermsHash": "PE2PS8TY7X423R46A91Q4G1QQ2JXMAQ01PK13VFQ2X54S8SRF9H88K6GC7HM4DAP37NF9ZJ301ATFVN98DTKTM39M827FNWSF5GFT10",
        "fulfillmentUrl": "taler:\/\/fulfillment-success\/2+x+Snacks#1598300815000--784787930"
      },
      "refundedTransactionId": "payment;8Y5ZV5MMCA948QSHDVC96JSY3QVXFFJPEFMEXF67049A2N4FBGAG",
      "transactionId": "refund;8Y5ZV5MMCA948QSHDVC96JSY3QVXFFJPEFMEXF67049A2N4FBGAG;1598300795000",
      "timestamp": {
        "t_ms": 1598300860491
      },
      "amountEffective": "TESTKUDOS:1.6",
      "amountRaw": "TESTKUDOS:1.45",
      "pending": false
    }
TagsNo tags attached.

Activities

grote

2020-08-24 22:46

developer   ~0016758

Note that the refund integration tests don't seem to check that all fields of the TransactionsRefund are as expected.

Florian Dold

2020-09-01 20:05

manager   ~0016812

This is fixed in v0.7.1-dev.24

Issue History

Date Modified Username Field Change
2020-08-24 22:45 grote New Issue
2020-08-24 22:45 grote Status new => assigned
2020-08-24 22:45 grote Assigned To => Florian Dold
2020-08-24 22:46 grote Note Added: 0016758
2020-09-01 20:05 Florian Dold Status assigned => resolved
2020-09-01 20:05 Florian Dold Resolution open => fixed
2020-09-01 20:05 Florian Dold Note Added: 0016812
2020-09-02 09:53 Christian Grothoff Product Version => git (master)
2020-09-02 09:53 Christian Grothoff Fixed in Version => 0.8
2020-09-02 09:53 Christian Grothoff Target Version => 0.8